Bug 118010 - machine locks up, no sysrq, nothing on serial console
machine locks up, no sysrq, nothing on serial console
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-10 18:38 EST by Karsten Hopp
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 16:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2004-03-10 18:38:41 EST
Description of problem: 
my AMD64 machine with a Radeon 9600XT locks up completely when  
I start up X with xinit and enter a command which requires the  
xterm to scroll. 
 
Version-Release number of selected component (if applicable): 
XFree86-4.3.0-62 
 
How reproducible: 
always 
 
 
Steps to Reproduce: 
1. check that XF86Config doesn't contain any Xaa* or noaccel options 
2. exec xinit 
3. enter a commnd which produces enough output to require scrolling 
 
   
Actual results: 
lockup 
 
Expected results: 
normal operation 
 
Additional info: 
- XFree86 works as expected with Option "noaccel" "true" 
- Option "XaaNoScreenToScreenCopy" "true" is the culprit, machine 
  locks up if this line is commented out. 
- disabling Option "XaaNoScanlineCPUToScreenColorExpandFill" "true"  
  leads to corrupted characters, but the machine doesn't lock up.
Comment 1 Mike A. Harris 2004-03-18 12:27:47 EST
XFree86 4.3.0 doesn't support Radeon 9600XT officially, however
now that xorg-x11 is replacing XFree86 in Fedora Core 2, can you
please upgrade to xorg-x11 and confirm if this problem is still
present?

Thanks in advance.
Comment 2 Karsten Hopp 2004-03-23 18:08:43 EST
xorg-x11 works in 32bit and in 64bit mode on my x86_64. But it is 
quite slow, I think this line is indicating why: 
(WW) RADEON(0): Failed to set up write-combining range 
(0xd0000000,0x8000000) 
 
Comment 3 Mike A. Harris 2004-05-05 14:47:27 EDT
Karsten:  So this card is working now in FC2test3 (albeit slow)?

If so, we can close this report as RAWHIDE.  You can file a separate
bug for the MTRR related issue if you'd like that to be tracked also.
The X server MTRR code doesn't work very well on AMD64 architecture
and I believe it needs complete rewrite.

Setting status to MODIFIED.  Please change to ASSIGNED if problem
described in initial report still persists in FC2test3, or change
to RAWHIDE if it is now resolved in rawhide.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.